TESTALSADEVICE(1)

NAME
testalsadevice - test an ALSA device for use with openMHA

SYNOPSIS
testalsadevice card

DESCRIPTION
testalsadevice tests an ALSA sound device and reports whether it can be accessed and used. It is intended as a simple diagnostic utility for checking audio device availability and basic operation when setting up or debugging openMHA audio configurations.

ARGUMENTS

card
    The ALSA card to test.

EXIT STATUS

0   The device was accessed successfully.

non-zero
    An error occurred, such as an invalid card name or failure to open the device.

SEE ALSO
mha(1)

AUTHOR

This manual page was written by Christopher Obbard obbardc@debian.org for the Debian GNU/Linux system.